Error while using GPT

Hi,

I am not using snap very often and most of the time I was working on the 3rd version of snap, but recently I updated the snap to the latest version and when I try to use gpt to execute the graphs I get the following error

Error: No such field org.esa.snap.core.gpf.graph.Node.file

What could be the reason for this?

Thanks in advance!

P.S. The SNAP runs on CentOS 7

Could you post your graph? Probably your graph uses come outdate configuration.
And I guess you are processing S1 Data?

Yes, I am processing S1 data and one of the graphs is attached.

Terrain_CORRECTION2.xml (3.5 KB)

The parameters section for the Read operator is not correct.
Change it to

<parameters class="com.bc.ceres.binding.dom.XppDomElement">
	<file>${file}</file>
</parameters>